Bug 150426 - install of openoffice-1.1.3-6.5.0.fc3 depends on "old" libraries
install of openoffice-1.1.3-6.5.0.fc3 depends on "old" libraries
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-06 05:55 EST by Leighton Brown
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-08 04:09:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leighton Brown 2005-03-06 05:55:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041228 Firefox/1.0 Fedora/1.0-8

Description of problem:
upgrading openoffice.org from 1.1.2-14.7 with up2date generates the
following errors:"
Unresolvable chain of dependencies:
openoffice.org  1.1.3-6.5.0.fc3          requires libebook.so.8
openoffice.org  1.1.3-6.5.0.fc3          requires libedataserver.so.3
openoffice.org-libs  1.1.3-6.5.0.fc3     requires libdb_cxx-4.2.so
"

[ The upgrade also updates evolution-data-server which possibly
upgrade the library versions of libebook and libedataserver. The
existing version of evolution-data-server provides libebook.so.8 and
libedataserver.so.3 ]

The existing version of openoffice.org-libs depends on
libdb_cxx-4.3.so which is newer than libdb_cxx-4.2.so

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  upgrade openoffice.org and evolution-data-server packages with up2date
2.
3.
    

Actual Results:  up2date complains as indicated above

Expected Results:  installation to proceed to completion

Additional info:

see note on evolution-data-server in comments.
Comment 1 Leighton Brown 2005-03-06 06:09:17 EST
removing the openoffice.org components from the list of packages to 
be upgraded doesn't help as they are promply re-added:" 
 
The following packages were added to your selection to satisfy 
dependencies: 
Package                                Required by 
---------------------------------------------------------------------------- 
openoffice.org-1.1.3-6.5.0.fc3.i386     
openoffice.org-i18n-1.1.2-14.7          openoffice.org                           
openoffice.org-1.1.3-6.5.0.fc3.i386     
openoffice.org-libs-1.1.2-14.7          openoffice.org                           
openoffice.org-1.1.3-6.5.0.fc3.i386     
openoffice.org-kde-1.1.2-14.7           openoffice.org                           
" 
and the previous dependency error is regenerated. 
Comment 2 Leighton Brown 2005-03-07 13:41:38 EST
Bug not applicable anymore. Package has been replaced with
openoffice.org-1.9.82-1.

Note You need to log in before you can comment on or make changes to this bug.